<div class="container">
  <h1 class="text-center" style="margin-top: 16px">Übersicht
    <button mdbBtn style="padding: 2px" color="elegant" (click)="refresh()">
      <mdb-icon fas icon="sync" size="3x"></mdb-icon>
    </button>
  </h1>
  <hr class="my-3" />
  <div>
    <h2 class="text-left">Aktive Dungeons</h2>
    <div *ngFor="let dungeon of activeDungeons">
      <button mdbBtn color="red"  class="my-2 text-center" (click)="startDungeon(dungeon.id)">{{dungeon.name}}</button>
    </div>
  </div>
  <div>
    <hr class="my-3" />
    <h2 class="text-left">Inaktive Dungeons</h2>
    <div *ngFor="let dungeon of inActiveDungeons" >
      <button mdbBtn color="red"  class="my-2 " (click)="activateDungeon(dungeon.id)">{{dungeon.name}}</button>
    </div>
  </div>
  <hr class="my-5" />
  <div>
    <h1 class="text-center" >Dungeon erstellen</h1>
    <form class="text-center" [formGroup]="newDungeonForm" (ngSubmit)="createNewDungeon()">
      <div>
        <label>
          <input formControlName="dungeonName" class="form-control mb-4" placeholder="Dungeonname">

        </label>
        <button mdbBtn type="submit" color="red"  class="my-4" >Dungeon erstellen</button>

      </div>
    </form>
  </div>
</div>
